// $Id: recommended_nodes.js,v 1.1 2006/05/04 20:20:09 drumm Exp $

if (isJsEnabled()) {
  addLoadEvent(recommendedNodesAutoAttach);
}

function recommendedNodesAutoAttach() {
  // Hide recommendors
  toggleClass($('recommendors'), 'collapsed');

  // Make recommendors heading into a link
  toggle = document.createElement('a');
  toggle.innerHTML = 'View recommendors';
  toggle.href = '#';
  toggle.onclick = function() {
    toggleClass($('recommendors'), 'collapsed');
    toggleClass($('recommendors-title'), 'expanded');
  };
  $('recommendors-title').innerHTML = '';
  $('recommendors-title').appendChild(toggle);

  // Redirect recommend button
  $('recommend-button').form.onsubmit = function() {
    $('recommend-button').disabled = 'disabled';
    throbber = document.createElement('span');
    throbber.className = 'throbber';
    throbber.innerHTML = '&nbsp;';
    $('recommend-button').parentNode.insertBefore(throbber, $('recommend-button').nextSibling);
    uri = $('recommend-uri').value;
    HTTPPost(uri, recommendHandleResponse, {
      throbber: throbber
    }, {
      'edit[form-id]': this.id,
      'op': $('recommend-button').value
    });
    return false;
  }
}

function recommendHandleResponse(responseText, xmlHttp, parameter) {
  response = parseJson(responseText);

  removeNode(parameter.throbber);
  $('recommend-button').value = response.data;
  $('recommend-button').disabled = '';
  $('recommendors').innerHTML = response.recommendors;
}
